DROP sequence forum_seq;
DROP TABLE forum;

CREATE sequence forum_seq INCREMENT BY 1;

CREATE TABLE forum (
  recno NUMBER(9) primary key,
  fid NUMBER(9) NOT NULL,
  thread VARCHAR2(255) NOT NULL,
  name VARCHAR2(20) NOT NULL,
  email VARCHAR2(40) NOT NULL,
  title VARCHAR2(60) NOT NULL,
  content VARCHAR2(4000) NOT NULL,
  passwd VARCHAR2(30),
  sign_date DATE,
  ref NUMBER(5),
  file_name VARCHAR2(50),
  file_size NUMBER(9)
);

CREATE INDEX idx_forum_fid ON FORUM (fid, thread DESC);