package com.suribada.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.velocity.context.Context;

public abstract class Command {
	
    protected HttpServletRequest request = null;
    protected HttpServletResponse response = null;
    protected String path = null; 
    
 	public static final String POST = "post.vm";
	public static final String SUCCESS = "success.vm";     
	public static final String ERROR = "error.vm"; 
    
    public Command(HttpServletRequest request, HttpServletResponse response) {
        this.request = request;
        this.response = response;
    }

	public void setPath(String path) {
		this.path = path;
	}
	    
    public abstract String exec(Context context);
    
}

