package com.suribada.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.velocity.context.Context;
import com.oreilly.servlet.MultipartRequest;
import com.oreilly.servlet.multipart.DefaultFileRenamePolicy;
import com.suribada.ForumConstant;
import com.suribada.om.Message;
import com.suribada.om.ForumDAO;
import com.suribada.om.ForumDAOFactory;

public class PostMutipartCommand extends Command {
	
	public PostMutipartCommand(HttpServletRequest request, HttpServletResponse response) {
        super(request, response);
    }

    public String exec(Context ctx) {
      	try {
	      	MultipartRequest multi = 
	        	new MultipartRequest(request, path, 10*1024*1024,
	                             "euc-kr", new DefaultFileRenamePolicy());
			String fileName = multi.getFilesystemName("file");  
			// COS ޼ҵ ߰ ʿ
			// int fileSize = multi.getFileSize("file"); 
			int fileSize = 0;
			if (fileName == null) {   //  ε  ʾ
				System.out.println(" ε  ʽϴ.");
			} 
			ForumDAO dao = ForumDAOFactory.getDAO(ForumConstant.FORUM_DBTYPE);
	        Message message = new Message();
			String action = multi.getParameter("action");
			if (action.equals("insert") || action.equals("reply")) {
				if (action.equals("insert")) {
					message.setFid(0);
					message.setThread("A");
				} else {
					message.setFid(Integer.parseInt(multi.getParameter("fid")));
					message.setThread(multi.getParameter("thread"));
				}
				message.setName(multi.getParameter("name"));
				message.setEmail(multi.getParameter("email"));
				message.setTitle(multi.getParameter("title"));
				message.setContent(multi.getParameter("content"));
				message.setPasswd(multi.getParameter("passwd"));
				message.setFileName(fileName);
				message.setFileSize(fileSize);
				System.out.println("message populated");
				dao.insert(message);
				System.out.println("message inserted");
			} else if (action.equals("modify")) { 
				message.setRecno(Integer.parseInt(multi.getParameter("recno")));
				message.setPasswd(multi.getParameter("passwd"));
				message.setEmail(multi.getParameter("email"));
				message.setTitle(multi.getParameter("title"));
				message.setContent(multi.getParameter("content"));
				message.setFileName(fileName);
				message.setFileSize(fileSize);
				dao.update(message);
			}
			ctx.put("params", multi);
	    } catch (Exception e) {
	    	e.printStackTrace();
	    	ctx.put("message", e.getMessage());
	    	return ERROR;
	    } 		
	    return SUCCESS;
    }
    
 }

