package com.suribada.om;

import com.suribada.exception.ForumDAOException;

public class ForumDAOFactory {

	/**
	 * dbType  XXXForumImpl ü 
	 * OraForumImpl Ŭ Ǿ  ٸ dbType ϱ  ForumDAO Ͽ if  ߰ϸ ȴ.
	 */
    public static ForumDAO getDAO(String dbType) throws ForumDAOException {
        if (dbType.equals("oracle")) {
        	return new OraForumDAOImpl();
        } else if (dbType.equals("mysql")) {
        	return new MyForumDAOImpl();        		
        } else {
        	throw new ForumDAOException("dbType: " + dbType + " NOT IMPLEMENTED");        		       		
        }
      }

}