package com.suribada.servlet;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Download extends HttpServlet {
	
	private String path;

	public void init() throws ServletException {
		path = getServletContext().getRealPath("/") + "files";
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
		throws ServletException, IOException
	{
 		String filename = request.getParameter("file");
 		// ѱϸ б ؼ ʿ
 		String filename2 = new String(filename.getBytes("8859_1"),"euc-kr");
        response.setContentType("application/octet-stream");
		response.setHeader("Content-Transfer-Encoding:", "base64");
 		response.setHeader("Content-Disposition", "attachment;filename=" + filename + ";"); 
 	
		BufferedInputStream fin = null;
     	ServletOutputStream out = null;
 		try {
	 		byte b[] = new byte[1024];
	 		File file = new File(path, filename2);
			fin = new BufferedInputStream(new FileInputStream(file)); 
	 		int numRead = fin.read(b);
	 		out = response.getOutputStream();
	 		while (numRead != -1) {
	 			out.write(b, 0, numRead);
	 			numRead = fin.read(b);
	 		}
			out.flush();	 	
 		} catch(Exception e) {
 			throw new ServletException(e);
 		} finally {
			if(out != null) {
 	    		out.close();
			}
 	      	if(fin != null) {
				fin.close();
 	      	}
     	}
 	}
 	
}