package com.suribada.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.velocity.context.Context;
import com.suribada.ForumConstant;
import com.suribada.om.Message;
import com.suribada.om.ForumDAO;
import com.suribada.om.ForumDAOFactory;

public class DeleteCommand extends Command {
	
	public static final String DELETE = "delete.vm";

	public DeleteCommand(HttpServletRequest request, HttpServletResponse response) {
		super(request, response);
	}

	public String exec(Context ctx) {
		if (request.getParameter("token") == null) {
			return DELETE;
		} else {
			Message message = null;
			int recno = Integer.parseInt(request.getParameter("recno"));
			String passwd = request.getParameter("passwd");
			try {
				ForumDAO dao = ForumDAOFactory.getDAO(ForumConstant.FORUM_DBTYPE);
				dao.delete(recno, passwd, path);	
				ctx.put("params", request);
			} catch (Exception e) {
				e.printStackTrace();
	    		ctx.put("message", e.getMessage());
	    		return ERROR;
			}    	
	        return SUCCESS;
		}
	}

}
