package com.suribada.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.velocity.context.Context;
import com.suribada.ForumConstant;
import com.suribada.om.Message;
import com.suribada.om.ForumDAO;
import com.suribada.om.ForumDAOFactory;

public class ModifyCommand extends Command {

	public ModifyCommand(HttpServletRequest request, HttpServletResponse response) {
		super(request, response);;
	}

	public String exec(Context ctx) {
		Message message = null;
		int recno = Integer.parseInt(request.getParameter("recno"));
		try {
			ForumDAO dao = ForumDAOFactory.getDAO(ForumConstant.FORUM_DBTYPE);
			message = dao.getMessage(recno);	
	    	ctx.put("mainTitle", "ϱ");
	    	ctx.put("readonly", "readonly");
	    	ctx.put("message", message);
		} catch (Exception e) {
			e.printStackTrace();
    		ctx.put("message", e.getMessage());
    		return ERROR;
		}    	
        return POST;
	}

}
