package com.suribada.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.velocity.context.Context;
import com.suribada.ForumConstant;
import com.suribada.om.Message;
import com.suribada.om.ForumDAO;
import com.suribada.om.ForumDAOFactory;
import com.suribada.util.Formatter;

public class ReplyCommand extends Command {
             
    public ReplyCommand(HttpServletRequest request, HttpServletResponse response) {
        super(request, response);
    }
    
    public String exec(Context ctx) {
		Message message = null;
		int recno = Integer.parseInt(request.getParameter("recno"));
		try {
			ForumDAO dao = ForumDAOFactory.getDAO(ForumConstant.FORUM_DBTYPE);
			message = dao.getMessage(recno);	
			Formatter format = new Formatter();
			String content = message.getName() + "   \r\n" + format.nl2gt(message.getContent());			
			message.setName("");
			message.setEmail("");
			message.setTitle("RE: " + message.getTitle());
			message.setContent(content);
	    	ctx.put("mainTitle", "亯ϱ");	    	
		   	ctx.put("message", message);
		} catch (Exception e) {
			e.printStackTrace();
    		ctx.put("message", e.getMessage());
    		return ERROR;
		}    	
        return POST;
    }
    
}
