package com.suribada.om;

import java.util.ArrayList;
import com.suribada.exception.ForumDAOException;

public interface ForumDAO {

	public Message getMessage(int recno) throws ForumDAOException;
	
	public ArrayList getMessageGroup(int recno, int fid) throws ForumDAOException;
	
	public int countMessage(String condition) throws ForumDAOException;
	
	public ArrayList getMessageList(int cpage, int range, int totalCnt, String condition) throws ForumDAOException;
	
	public void insert(Message message)  throws ForumDAOException;
	
	public void update(Message message) throws ForumDAOException;
	
	public void delete(int recno, String passwd, String path)  throws ForumDAOException;

}
